Bug 196748 - devel/libpdel: Fix build with LibreSSL
Summary: devel/libpdel: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-15 07:27 UTC by Franco Fichtner
Modified: 2015-02-25 14:23 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mav)


Attachments
DES API corrections (1.19 KB, patch)
2015-01-15 07:27 UTC, Franco Fichtner
no flags Details | Diff
Poudriere build log (287.75 KB, text/plain)
2015-01-24 12:52 UTC, Bernard Spil
no flags Details
svn diff patch based on original (1.52 KB, patch)
2015-01-24 12:53 UTC, Bernard Spil
koobs: maintainer-approval? (mav)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-01-15 07:27:33 UTC
Created attachment 151662 [details]
DES API corrections

Patch attached that builds with base openssl and and libressl.  Any help verifying this works as expected is appreciated.
Comment 1 Bugzilla Automation freebsd_committer 2015-01-15 07:27:33 UTC
Maintainer CC'd
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-24 11:20:40 UTC
Franco,

Can you please provide:

- A diff against the port directory (update attachment, obsoleting previous)
- Attach QA (poudriere, portlint) output
Comment 3 Bernard Spil freebsd_committer 2015-01-24 12:52:53 UTC
Created attachment 152095 [details]
Poudriere build log
Comment 4 Bernard Spil freebsd_committer 2015-01-24 12:53:20 UTC
Created attachment 152096 [details]
svn diff patch based on original
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-24 13:00:47 UTC
Thanks Bernard!
Comment 6 Franco Fichtner 2015-01-24 13:06:48 UTC
yes, thanks! :)
Comment 7 commit-hook freebsd_committer 2015-02-25 14:21:35 UTC
A commit references this bug:

Author: feld
Date: Wed Feb 25 14:21:26 UTC 2015
New revision: 379915
URL: https://svnweb.freebsd.org/changeset/ports/379915

Log:
  Fix build with LibreSSL

  PR:		196748
  Approved by:	maintainer timeout

Changes:
  head/devel/libpdel/files/patch-ppp_ppp__msoft.c